commit:     3d97949a6c6dcf1073bb31312a0e29ce985a5dbd
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 25 03:04:50 2016 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Mar 25 03:04:50 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d97949a

dev-python/oslo-i18n: bup for mitaka

Package-Manager: portage-2.2.26

 dev-python/oslo-i18n/Manifest               |  1 +
 dev-python/oslo-i18n/oslo-i18n-3.4.0.ebuild | 63 +++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/oslo-i18n/Manifest b/dev-python/oslo-i18n/Manifest
index 4c12189..afbbb8e 100644
--- a/dev-python/oslo-i18n/Manifest
+++ b/dev-python/oslo-i18n/Manifest
@@ -1,4 +1,5 @@
 DIST oslo-i18n-2.7.0.tar.gz 36899 SHA256 
9f510fd251510ca670ef876783a1727f67fe7a27595d772057273d33e4664f86 SHA512 
c0733c63aa64046cf693676d43bece82a75f962e260d1e46f76120ada0139459184016c81a9a760d71493e414c0eb06311c9b89cc713d11c022a7faca4d46ab6
 WHIRLPOOL 
dfb922bbf520d2a1e1691d865a0c133d0633572ede58c0ba28e51df08e5f9ad70ff40e31722b1612778ad0f96ec231978579f493b2db7b433ebbcee1d234f68c
+DIST oslo-i18n-3.4.0.tar.gz 36201 SHA256 
8de65e4cc94c220f67895e4230df243e7555d92088b7d44724c8407d37fd277b SHA512 
53913d0a955143e7236cfc7be537e666b0704f92718e88b393332636fdad7ebe78f9e193bd40338cbeb305b6417e10abe17b0343f12363a11392bc341a6b6e12
 WHIRLPOOL 
08ec0910c8b3808131a6217435459ebf4a4c5df545fdf59a7a73102b27a172a9e6cce674fc5d17832a1354d0d20030a4f60ec2f07a6d60b3ae61182c409e8f29
 DIST oslo.i18n-1.3.1.tar.gz 35050 SHA256 
8e1b9b3f87cea9e43a2414bb02d8c79b0a688c916afa1f1453f6a0a65ffd85f6 SHA512 
987beef5e59b213988001fb53f1b2e41b122b830bd476c64a4481f7650db45d31d66c94d79da26e1fc346035393c00a63febb1254d3ab881ce3d2b00398c5ac8
 WHIRLPOOL 
7b590d93c478d855edfdfba8a31dac491913426100c8e216cfd4b82ff47b60f98b34a56ff69e2af49d0c16d3e2ac1813731527ab21bb4f9fe2f33dc5847d0835
 DIST oslo.i18n-1.4.0.tar.gz 36140 SHA256 
a3d64e8d2b4235a457da2c6269d8c97e867a90ba7d938fe0ed3cfc792c8c87bb SHA512 
df1491bb4d98b9295c08f4b7dc18cfff2758834ff5edb9aa3bdc064e587ab475e7e060dc5212c5db1e7e2f34cc4177e5c713a4ac6908a9750f50dc6316105682
 WHIRLPOOL 
8e77849c0a8f3c5a7e5b314f756673f31a3464f2a65c35e8ad506fd0ce10430b2fea0fae97eaccfef258b74a24db2f86b0843575d25f3d3a84a3b19ae0c5ff12
 DIST oslo.i18n-1.5.0.tar.gz 36068 SHA256 
cd09da0780e45737b784bdc026ea705ad006e3c003aa5dfeab83f269b4ea0e70 SHA512 
20a640950b7e0eef69371eece396fc6b284c87e195b98a98ec689f207f9ab4f8a41c70cac1c64b0f68621742b6e9da8001d422f67242a3e03e6b4cf09d8add96
 WHIRLPOOL 
ce22737d5285abe18a7e62d01894da59f7d1068a0d16dd055ba62d40888bba7d1408f3d739bfa6a5da7f7149fc84f3794067db4562538f7cee99fca3871924ac

diff --git a/dev-python/oslo-i18n/oslo-i18n-3.4.0.ebuild 
b/dev-python/oslo-i18n/oslo-i18n-3.4.0.ebuild
new file mode 100644
index 0000000..9c04118
--- /dev/null
+++ b/dev-python/oslo-i18n/oslo-i18n-3.4.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_{3,4,5}} )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo i18n library"
+HOMEPAGE="http://launchpad.net/oslo";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+
+CDEPEND=">dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]"
+CRDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CRDEPEND}
+       test? (
+               ${CDEPEND}
+               >=dev-python/mock-1.2[${PYTHON_USEDEP}]
+               >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+               >=dev-python/oslo-config-3.4.0[${PYTHON_USEDEP}]
+       )
+       doc? (
+               ${CDEPEND}
+               >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+               !~dev-python/oslo-sphinx-3.4.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       ${CRDEPEND}
+       >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+
+python_compile_all() {
+       use doc && esetup.py build_sphinx
+}
+
+python_test() {
+       rm -rf .testrepository || die "couldn't remove '.testrepository' under 
${EPYTHON}"
+
+       testr init || die "testr init failed under ${EPYTHON}"
+       testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to